package com.dgtly.sync.mapper;

import com.dgtly.sync.domain.SyncFailDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 同步解析失败详情Mapper接口
 * 
 * @author qxp
 * @date 2020-07-14
 */
public interface SyncFailDetailMapper 
{


    /**
     *  查询 失败类型
     * @param packageId
     * @return
     */
    List<String> selectSyncExceptionTypeList(String packageId);

    /**
     * 查询同步解析失败详情
     * 
     * @param packageId 同步解析失败详情ID
     * @return 同步解析失败详情
     */
    public SyncFailDetail selectSyncFailDetailById(String packageId);

    /**
     * 查询同步解析失败详情列表
     * 
     * @param syncFailDetail 同步解析失败详情
     * @return 同步解析失败详情集合
     */
    public List<SyncFailDetail> selectSyncFailDetailList(SyncFailDetail syncFailDetail);

    /**
     * 新增同步解析失败详情
     * 
     * @param syncFailDetail 同步解析失败详情
     * @return 结果
     */
    public int insertSyncFailDetail(SyncFailDetail syncFailDetail);

    /**
     * 修改同步解析失败详情
     * 
     * @param syncFailDetail 同步解析失败详情
     * @return 结果
     */
    public int updateSyncFailDetail(SyncFailDetail syncFailDetail);

    /**
     * 删除同步解析失败详情
     * 
     * @param packageId 同步解析失败详情ID
     * @return 结果
     */
    public int deleteSyncFailDetailById(String packageId);

    /**
     * 批量删除同步解析失败详情
     * 
     * @param packageIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyncFailDetailByIds(String[] packageIds);
    /**
     * 批量插入同步解析失败详情
     *
     * @return 结果
     */
    Integer batchInsertSyncFailDetail(@Param("failDetails") List<SyncFailDetail> failDetails);
}
